<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		<title>Dokumentation</title>

		<link rel="stylesheet" href="../revealjs.code/dist/reveal.css">
		<link rel="stylesheet" href="../revealjs.code/dist/theme/nfdi.css" id="theme"> <!--/revealjs.code/dist/theme-->

        <link rel="stylesheet" href="../revealjs.code/plugin/highlight/monokai.css">
	</head>

	<body>

		<div class="reveal">

			<div class="slides">


						<section data-background-image="../../revealjs.code/logo.svg" 
          class="left size" data-background-size="200px" data-background-position="95% 5%">
				<div>Dokumentation zur Schnittstelle RevealJS/Markdown</div>
				</br>
				<div><font size="4">Übersicht</font></div>
				<div><font size="3">1. Erstellen von Markdown Dateien</font></div>
				<div><font size="3">2. Einfügen von Markdown Dateien</font></div>
				<div><font size="3">3. Verändern der Schriftgröße in Markdown </font></div>
				<div><font size="3">4. Einfügen von Bildern in Markdown </font></div>
				<div><font size="3">5. Einfügen von H5P Material </font></div>

		
				</section>


				<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
				<div>1. Erstellen von Markdown Dateien</div>
				</br>
				<div> <font size="3">1. Erstellen Sie eine neue Markdown Datei im Pfad:</font></div>
				<div><font size="5">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/tree/master/markdown_slides</font></div>
			
				<div><font size="3">2. Wählen Sie den Namen alphabetisch so, dass er der Reihenfolge der Präsentation entspricht (Beispiel: a_datei1.md, b_datei2.md, ..)</font></div>
				
				<div><font size="3">3. Schreiben Sie Ihren Inhalt in die neu erstellte Markdown Datei</font></div>

		  		<div><font size="2">Hinweis: Benutzen Sie 2 Leerzeichen in Markdown für einen vertikalen Seitenwechsel der Folien. Benutzen Sie 3 Leerzeichen oder eine neue Markdown Datei für einen horizontalen Seitenwechsel der Folien </font> </div>

				</section>




						<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
				<div>2. Einfügen von Markdown Dateien</div>
				</br>
				<div> <font size="3">1. Öffnen Sie Ihre HTML Datei NAME_IRHER_PRÄSENTATION.html:</font></div>
				<div><font size="5">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/blob/master/html_slides/NAME_IHRER_PRÄSENTATION.html</font></div>
				<div><font size="3">2. Fügen Sie folgenden Code zur Eingliederung Ihrer Datei hinzu:</font></div>

				<div> <font size="5"> &ltsection data-background-image="../../revealjs.code/logo.svg" 
          class="your name" data-background-size="200px" data-background-position="5% 5%" data-markdown="../markdown_slides/NAME_IHRER_MARKDOWN_DATEI.md" data-separator="^\n\n\n" data-separator-vertical="^\n\n">&lt/section> </font> </div>
				</br>
				</section>




						<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
				<div>3. Verändern der Schriftgröße in Markdownn</div>
				</br>
				<div> <font size="3">1. Öffnen Sie Ihre HTML Datei NAME_IRHER_PRÄSENTATION.html:</font></div>
				<div><font size="5">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/blob/master/html_slides/NAME_IHRER_PRÄSENTATION.html</font></div>
				<div><font size="3">2. Fügen Sie ein neues .css template nach folgendem Schema hinzu:</font></div>

				<div> <font size="5"> &ltstyle>
				.your {text-align: left;}.name {font-size: 30px;} &lt/style></font> </div>
				<div> <font size="3">3. Verändern Sie "text-align", "font-size" und "class name" (hier: "your name"):</font></div>
				<div> <font size="3">4. Gehen Sie zurück zu Schritt 2 und verwenden Sie ihren Klassennamem bei bei "class=your name" im Einfügeschema Ihrer neuen Markdown Datei</font></div>
				</section>




		


										<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
				<div>4. Einfügen von Bildern in Markdown</div>
				</br>
				<div> <font size="3">1. Laden Sie das Bild in den folgenden Ordner als .png Format:</font></div>
				<div><font size="5" >https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/tree/master/media_files</font></div>
				<div><font size="3">2. Fügen Sie folgenden Code zur Eingliederung des Bildes in der gewählten Markdown Datei hinzu:</font></div>

				<div> <font size="5">![](https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/raw/master/media_files/YOUR_IMAGE_NAME.png "YOUR_IMAGE_TITLE") </font> </div>
				<div><font size="3">3. Fügen Sie die Markdown Datei wie in Abschnitt 2 beschrieben in dem Ihre HTML Datei</font></div>
				</section>




										<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
				<div>5. Einfügen H5P Material</div>
				</br>
				<div> <font size="3">1. Erstellen Sie H5P Material mit einer ausgewählten Software. Eine beispielhafte Software hierfür ist Lumi. Nutzen Sie die Dokumentation von H5P als Hilfe.</font></div>
				<div><font size="5" > <a href="https://lumi.education/">Lumi.education</a>, <a href="https://h5p.org/documentation">Dokumentation</a>, <a href="https://www.media-data.org/vergleich-h5p-editoren/">Weitere H5P Tools</a> </font></div>
				<!--<div><font size="5" > <a href="https://h5p.org/documentation">Dokumentation</a></font></div>-->
				<div><font size="3">2. Laden Sie die erstellte Datei in einem neuen Ordner im folgenden Pfad hoch: </font></div>

				<div> <font size="5">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/h5p_slides/ORDNERNAME_FUER_ERSTELLTE_H5P_DATEIEN_EINES_CONTENTS/ </font> </div>
				<div><font size="3">3. Referenzieren Sie in der JavaScript Funktion setup() ihrer HTML Datei den Ordner des H5P Material in der Variable "h5pJsonPath" und benennen Sie den div Container: "await new H5P(document.getElementById('CONTAINER_NAME')"</font></div>
	
				

			
				</section>
				

										<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
				<div>5. Einfügen H5P Material</div>
						</br>
							<div><font size="3">4. Platzieren Sie den div Container an der gewünschten Stelle in Ihrer Präsentation: "&ltdiv id="CONTAINER_NAME">&lt/div>" </font></div>
				<div><font size="3">5. Benutzen Sie Ihre Kopie der <a href="https://git.rwth-aachen.de/nfdi4ing/education/education-pages/revealjs/-/blob/master/html_slides/beispielvorlage.html">Beispielvorlage</a>, welche auch Inhalte von H5P anzeigt</font></div>
</br>
				<div><font size="3">Hinweise: </font></div>

				<div><font size="3">1) In der Windows Version von Lumi müssen Sie die .H5P Datei zunächst entspacken (Beispielsweise mit der Software WinRAR)</font></div>

				<div><font size="3">2) Die Ordnerstruktur beinhaltet mehrere Dateien und kann somit nur mit git hochgeladen werden (nicht über die Weboberfläche von Gitlab)</font></div>
				

			
				</section>






				<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
		  		<div><font size="5">Dokumentationen:<font></div>

				<div><font size="3" > <a href="https://revealjs.com/">RevealJS Dokumentation</a></font></div>
				<div><font size="3" > <a href="https://www.markdownguide.org/basic-syntax/">Markdown Dokumentation</a></font></div>
				<div><font size="3" > <a href="https://h5p.org/documentation">H5P Dokumentation</a></font></div>
				<br>
				<div><font size="5">Kontakt:<font></div>
				<br>
				<div><font size="3">Projektmanager: m.moser@wzl.rwth-aachen.de,t.hamann@wzl.rwth-aachen.de<font></div>
				<div><font size="3">Technische Umsetzung: l.lipka@wzl.rwth-aachen.de,j.werheid@wzl.rwth-aachen.de<font></div>
				<div><font size="3">Werkzeugmaschinenlabor RWTH Aachen, Lehrstuhl für Fertigungsmesstechnik und Qualitätsmanagement</font></div>

				</section>


		</div>

		<script src="../revealjs.code/dist/reveal.js"></script>
        <script src="../revealjs.code/plugin/markdown/markdown.js"></script>
        <script src="../revealjs.code/plugin/highlight/highlight.js"></script>
        <script src="../revealjs.code/plugin/notes/notes.js"></script>
        <script src="../revealjs.code/plugin/math/math.js"></script>
        <script src="../revealjs.code/plugin/quiz/js/quiz.js"></script>

		<script>


			Reveal.initialize({

				slideNumber: 'c',
				controls: true,
				progress: true,
				history: true,
				center: true,

				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealMath.KaTeX ]

			});

		</script>

                        <script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
		 Reveal.initialize({
			    dependencies: [
			        // other dependencies
			        { src: '../revealjs.code/plugin/quiz/js/quiz.js', async: true, callback: function() { prepareQuizzes({}); } }
			        // other dependencies
			    ]
			});

		</script>


	</body>

</html>

<style>
	.lizenz {
		position: absolute;
		top: 80%;
		left: 90%;
    }
</style>

<div class="lizenz">
<a rel="license" href="http://creativecommons.org/licenses/by/4.0/"><img alt="Creative Commons License" style="border-width:10" src="https://i.creativecommons.org/l/by/4.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://		creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.
</div>
